Upstream information

CVE-2018-20860 at MITRE

Description

libopenmpt before 0.3.13 allows a crash with malformed MED files.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 4.3
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1143581 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libmodplug-devel >= 0.3.19-2.10.1
  • libmodplug1 >= 0.3.19-2.10.1
  • libopenmpt-devel >= 0.3.19-2.10.1
  • libopenmpt0 >= 0.3.19-2.10.1
  • libopenmpt_modplug1 >= 0.3.19-2.10.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 GA libmodplug-devel-0.3.19-2.10.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • libmodplug-devel >= 0.3.19-2.10.1
  • libmodplug1 >= 0.3.19-2.10.1
  • libopenmpt-devel >= 0.3.19-2.10.1
  • libopenmpt0 >= 0.3.19-2.10.1
  • libopenmpt_modplug1 >= 0.3.19-2.10.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 GA libmodplug-devel-0.3.19-2.10.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libmodplug-devel >= 0.3.28-2.13.1
  • libmodplug1 >= 0.3.28-2.13.1
  • libopenmpt-devel >= 0.3.28-2.13.1
  • libopenmpt0 >= 0.3.28-2.13.1
  • libopenmpt_modplug1 >= 0.3.28-2.13.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libmodplug-devel-0.3.28-2.13.1
openSUSE Leap 15.0
  • libmodplug-devel >= 0.3.17-lp150.7.1
  • libmodplug1 >= 0.3.17-lp150.7.1
  • libmodplug1-32bit >= 0.3.17-lp150.7.1
  • libopenmpt-devel >= 0.3.17-lp150.7.1
  • libopenmpt0 >= 0.3.17-lp150.7.1
  • libopenmpt0-32bit >= 0.3.17-lp150.7.1
  • libopenmpt_modplug1 >= 0.3.17-lp150.7.1
  • libopenmpt_modplug1-32bit >= 0.3.17-lp150.7.1
  • openmpt123 >= 0.3.17-lp150.7.1
Patchnames:
openSUSE-2019-2212
openSUSE Leap 15.1
  • libmodplug-devel >= 0.3.17-lp151.2.3.1
  • libmodplug1 >= 0.3.17-lp151.2.3.1
  • libmodplug1-32bit >= 0.3.17-lp151.2.3.1
  • libopenmpt-devel >= 0.3.17-lp151.2.3.1
  • libopenmpt0 >= 0.3.17-lp151.2.3.1
  • libopenmpt0-32bit >= 0.3.17-lp151.2.3.1
  • libopenmpt_modplug1 >= 0.3.17-lp151.2.3.1
  • libopenmpt_modplug1-32bit >= 0.3.17-lp151.2.3.1
  • openmpt123 >= 0.3.17-lp151.2.3.1
Patchnames:
openSUSE-2019-2213
openSUSE Leap 15.2
  • libopenmpt0 >= 0.3.19-lp152.1.6
Patchnames:
openSUSE Leap 15.2 GA libopenmpt0-0.3.19-lp152.1.3
openSUSE Leap 15.3
  • libopenmpt0 >= 0.3.19-2.10.1
Patchnames:
openSUSE Leap 15.3 GA libopenmpt0-0.3.19-2.10.1
openSUSE Leap 15.4
  • libopenmpt0 >= 0.3.28-2.13.1
Patchnames:
openSUSE Leap 15.4 GA libopenmpt0-0.3.28-2.13.1
openSUSE Tumbleweed
  • libopenmpt-devel >= 0.5.11-1.2
  • libopenmpt0 >= 0.5.11-1.2
  • libopenmpt0-32bit >= 0.5.11-1.2
  • openmpt123 >= 0.5.11-1.2
Patchnames:
openSUSE Tumbleweed GA libopenmpt-devel-0.5.11-1.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 libopenmpt Released
SUSE Enterprise Storage 6 libopenmpt Released
SUSE Enterprise Storage 7 libopenmpt Released
SUSE Linux Enterprise Desktop 15 libopenmpt Released
SUSE Linux Enterprise Desktop 15 SP1 libopenmpt Released
SUSE Linux Enterprise Desktop 15 SP2 libopenmpt Released
SUSE Linux Enterprise High Performance Computing 15 libopenmpt Released
SUSE Linux Enterprise High Performance Computing 15 SP1 libopenmpt Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libopenmpt Released
SUSE Linux Enterprise High Performance Computing 15 SP2 libopenmpt Released
SUSE Linux Enterprise High Performance Computing 15-LTSS libopenmpt Released
SUSE Linux Enterprise Module for Desktop Applications 15 libopenmpt Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libopenmpt Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libopenmpt Released
SUSE Linux Enterprise Server 15 libopenmpt Released
SUSE Linux Enterprise Server 15 SP1 libopenmpt Released
SUSE Linux Enterprise Server 15 SP1-LTSS libopenmpt Released
SUSE Linux Enterprise Server 15 SP2 libopenmpt Released
SUSE Linux Enterprise Server 15-ESPOS libopenmpt Released
SUSE Linux Enterprise Server 15-LTSS libopenmpt Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libopenmpt Released
SUSE Linux Enterprise Server for SAP Applications 15 libopenmpt Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libopenmpt Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libopenmpt Released
SUSE Manager Proxy 4.0 libopenmpt Released
SUSE Manager Proxy 4.1 libopenmpt Released
SUSE Manager Retail Branch Server 4.0 libopenmpt Released
SUSE Manager Retail Branch Server 4.1 libopenmpt Released
SUSE Manager Server 4.0 libopenmpt Released
SUSE Manager Server 4.1 libopenmpt Released


SUSE Timeline for this CVE

CVE page created: Wed Jul 31 01:58:28 2019
CVE page last modified: Tue Nov 29 03:11:37 2022